Subject: Re: Git GUI client SmartGit released

From: Marc Strapetz <[email-masked]>
Date: Wed, 02 Dec 2009 22:15:36 +0100

> I noticed you use JGit and the Trilead SSH client.
> 
> I'm curious, did you guys replace JSch because its a pile of junk?
> Did you patch JGit to use Trilead SSH instead of JSch?  If so,
> would you be interested in contributing that change back to JGit?
> I'm rather fed up with JSch...  :-)

We currently don't use JGit's transport, but we plant a custom SSH
client on the git executable which connects back to SmartGit and just
tunnels SSH data through. Anyway, I can remember that SVNKit was using
JSch initially and they switched to Trilead because of problems with
JSch (maybe Alexander in Cc can shed more light on that).

--
Best regards,
Marc Strapetz
=============
syntevo GmbH
http://www.syntevo.com
http://blog.syntevo.com

Shawn O. Pearce wrote:
> Marc Strapetz <[email-masked]> wrote:
>> We are proud to announce the general availability of our Git client
>> SmartGit[1]:
>>
>>  http://www.syntevo.com/smartgit/index.html
> 
> Congrats on your release.
> 
> I noticed you use JGit and the Trilead SSH client.
> 
> I'm curious, did you guys replace JSch because its a pile of junk?
> Did you patch JGit to use Trilead SSH instead of JSch?  If so,
> would you be interested in contributing that change back to JGit?
> I'm rather fed up with JSch...  :-)
>